# Get list of username changes

Returns the username change history for the currently authenticated user, along with the maximum number of renames allowed. Requires authentication.

Endpoint: GET /api/v1/users/rename-history
Version: 1.0
Security: header

## Response 200 fields (application/json):

  - `history` (array, required)

  - `history.username` (string, required)

  - `history.domain` (string, required)

  - `history.userId` (string,null, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `history.createdAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `maxRenames` (integer, required)

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


